import axios from 'axios';
import { ReservationType } from 'types/ReservationType';

/**
 * @async
 * Perform GET to get a list of all the reservations inserted by the current user.
 * @returns a list of reservations.
 */
export const getReservationsList = async (): Promise<ReservationType[]> =>
  axios(`/api/web/reservations?fields=trip_stages`).then((res) => res.data);
