import axios from 'axios';
import { SeniorSearchQueryType } from '../types/SeniorSearchQueryType';

/**
 * @async
 * Search and return a senior list linked to the last name.
 * @param lastName to search.
 * @returns {SeniorSearchQueryType[]} list of seniors.
 */
export const getSeniorListByLastName = async (
  lastName: string,
): Promise<SeniorSearchQueryType[]> =>
  axios
    .get(
      `/api/web/seniors/by_name/${lastName}?fields=user,id,member_card_number`,
    )
    .then((res) => res.data);
