/* eslint-disable react/jsx-props-no-spreading */
import React, { FC } from 'react';
import { KeyboardDateTimePicker } from '@material-ui/pickers';
import { Control, Controller, FieldValues } from 'react-hook-form';

type DateTimePickerPropsType = {
  control: Control<FieldValues>;
  name: string;
  label: string;
  id: string;
};

export const ControlledDateTimePicker: FC<DateTimePickerPropsType> = ({
  control,
  name,
  label,
  id,
}: DateTimePickerPropsType) => (
  <Controller
    control={control}
    name={name}
    defaultValue={null}
    as={({ ref, ...rest }) => (
      <KeyboardDateTimePicker
        margin="normal"
        id={id}
        label={label}
        format="dd/MM/yyyy"
        KeyboardButtonProps={{
          'aria-label': { label },
        }}
        {...rest}
      />
    )}
  />
);
