import { getRole } from 'api/getRole';
import { getRoleObject } from 'api/getRoleObject';
import { useEffect, useState } from 'react';
import { RoleObjectType } from 'types/RoleObjectType';

export const useRoleObject = (): RoleObjectType | undefined => {
  const [role, setRole] = useState<RoleObjectType>();

  useEffect(() => {
    let isMounted = true;
    getRoleObject().then((responseRole) => {
      if (isMounted) {
        setRole(responseRole);
      }
    });
    return () => {
      isMounted = false;
    };
  }, []);
  return role;
};
